.etable-wrap {
	display: flex;
	flex-direction: column;
	row-gap: 10px;
}

.etable-table-wrap {
	width: 100%;
	max-width: 100%;
	overflow-x: auto;
}

.etable-wrap, .etable-table {
	width: 100%;
}

.etable-search, .etable-limit, .etable-page, .etable-info, .etable-button {
	font-size: 14px;
	padding: 4px 10px;
	line-height: 150%;
}

.etable-table th {
	font-weight: normal;
	text-align: left;
}

.etable-table tr:not(:last-child) td, .etable-table th {
	border-bottom: 1px solid #e9e9e9;
}

.etable-table.border-none td, .etable-table.border-none th {
	border-bottom: none !important;
}

.etable-table td, .etable-table th {
	padding: 5px 10px;
}

.etable-table th {
	position: relative;
	cursor: default;
}
[class^="etable-order"] {
	cursor: pointer !important;
}
/*.etable-order-asc, .etable-order-desc {
	padding-right: 15px !important;
}*/
.etable-order-asc::before, .etable-order-desc::before {
    position: absolute;
    right: 0px;
}
.etable-order-asc::before {
    content: "↑";
}
.etable-order-desc::before {
    content: "↓";
}

.etable-table tbody td {
	font-size: 16px;
}

.etable-table td a {
	display: inline-block; 
	vertical-align: middle;
}

.etable-action-row {
	display: flex;
	flex-direction: row;
	justify-content: space-between;
	font-size: 14px;
	color: #6f7a7f;
	flex-wrap: wrap;
	column-gap: 10px;
	row-gap: 10px;
}


.etable-search-wrap {
	position: relative;
}
.etable-search {
	border: 1px solid #e9e9e9;
	border-radius: 3px;
	width: 160px;
	padding-right: 25px;
}
.etable-search-clean {
	display: none;
    position: absolute;
    top: 0;
    right: 0;
    width: 30px;
    height: 100%;
    line-height: 31px;
    color: #bfbfbf;
    font-size: 17px;
    text-align: center;
    cursor: pointer;
}
.etable-search-clean:hover {
	color: red;
}

.etable-search:focus, .etable-limit {
    outline: none;
}

.etable-limit {
	border: 1px solid #e9e9e9;
	border-radius: 3px;
	color: #6f7a7f;
	background-color: white;
	height: 31px;
}

.etable-pages, .etable-buttons {
	display: flex;
	flex-direction: row;
	border: 1px solid #e9e9e9;
	border-radius: 3px;
}
.etable-page {
	cursor: default;
	color: #cdcdcd;
}
.etable-pages .etable-page:not(:last-child), .etable-buttons .etable-button:not(:last-child) {
	border-right: 1px solid #e9e9e9;
}
.etable-button {
	cursor: pointer;
}
.etable-page-select {
	background-color: #88c241;
	color: white;
}
.etable-page-active {
	cursor: pointer;
	color: #6f7a7f;
}
.etable-page-active:hover, .etable-button:hover {
	background-color: #e9e9e9;
}
.etable-info {
	white-space: nowrap;
}